Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class RDBMUserIdentityStore

    java.lang.Object
      org.jasig.portal.RDBMUserIdentityStore

All Implemented Interfaces:
  IUserIdentityStore

    public class RDBMUserIdentityStore

extends java.lang.Object
implements IUserIdentityStore

SQL implementation for managing creation and removal of User Portal Data

Author:
  Susan Bramhall, Yale University (modify by Julien Marchal, University Nancy 2; Eric Dalquist - edalquist@unicon.net)

Nested Class Summary
`protected class` | `RDBMUserIdentityStore.PortalUser`
`protected class` | `RDBMUserIdentityStore.TemplateUser`

Field Summary
`(package private) static int` | `DEBUG`
`private static java.lang.String` | `defaultTemplateUserName`
`private static int` | `guestUID`
`private static org.apache.commons.logging.Log` | `log`
`private static java.lang.String` | `templateAttrName`

Constructor Summary
`RDBMUserIdentityStore()`

Method Summary
`protected int` | `addNewUser(int newUID, IPerson person, RDBMUserIdentityStore.TemplateUser templateUser)`
`protected static void` | `commit(java.sql.Connection connection)`
`int` | `getPortalUID(IPerson person)` getuPortalUID - return a unique uPortal key for a user.
`int` | `getPortalUID(IPerson person, boolean createPortalData)` Get the portal user ID for this person object.
`protected RDBMUserIdentityStore.PortalUser` | `getPortalUser(java.lang.String userName)` Gets the PortalUser data store object for the specified user name.
`protected java.lang.String` | `getTemplateName(IPerson person)`
`protected RDBMUserIdentityStore.TemplateUser` | `getTemplateUser(java.lang.String templateUserName)` Gets the TemplateUser data store object for the specified template user name.
`void` | `removePortalUID(int uPortalUID)` removeuPortalUID
`protected static void` | `rollback(java.sql.Connection connection)`
`protected void` | `updateUser(int userId, IPerson person, RDBMUserIdentityStore.TemplateUser templateUser)`
`protected boolean` | `userHasSavedLayout(int userId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### defaultTemplateUserName

    private static final java.lang.String defaultTemplateUserName

### templateAttrName

    private static final java.lang.String templateAttrName

See Also:
  Constant Field Values

### guestUID

    private static final int guestUID

See Also:
  Constant Field Values

### DEBUG

    static int DEBUG

Constructor Detail

### RDBMUserIdentityStore

    public RDBMUserIdentityStore()

Method Detail

### getPortalUID

    public int getPortalUID(IPerson person)
                     throws java.lang.Exception

  getuPortalUID - return a unique uPortal key for a user. calls alternate signature with createPortalData set to false.

  Specified by:
    `getPortalUID` in interface `IUserIdentityStore`
  Parameters:
    `person` - the person object
  Returns:
    uPortalUID number
  Throws:
    `java.lang.Exception` - if no user is found.

### removePortalUID

    public void removePortalUID(int uPortalUID)
                         throws java.lang.Exception

  removeuPortalUID

  Specified by:
    `removePortalUID` in interface `IUserIdentityStore`
  Parameters:
    `uPortalUID` - integer key to uPortal data for a user
  Throws:
    `java.sql.SQLException` - exception if a sql error is encountered
    `java.lang.Exception`

### getPortalUID

    public int getPortalUID(IPerson person,
                            boolean createPortalData)
                     throws AuthorizationException

  Get the portal user ID for this person object.

  Specified by:
    `getPortalUID` in interface `IUserIdentityStore`
  Parameters:
    `person` -
    `createPortalData` - indicating whether to try to create all uPortal data for this user from template prototype
  Returns:
    uPortalUID number or -1 if unable to create user.
  Throws:
    `AuthorizationException` - if createPortalData is false and no user is found or if a sql error is encountered

### commit

    protected static final void commit(java.sql.Connection connection)

### rollback

    protected static final void rollback(java.sql.Connection connection)

### getPortalUser

    protected RDBMUserIdentityStore.PortalUser getPortalUser(java.lang.String userName)
                                                      throws java.lang.Exception

  Gets the PortalUser data store object for the specified user name.

  Parameters:
    `userName` - The user's name
  Returns:
    A PortalUser object or null if the user doesn't exist.
  Throws:
    `java.lang.Exception`

### getTemplateName

    protected java.lang.String getTemplateName(IPerson person)

### getTemplateUser

    protected RDBMUserIdentityStore.TemplateUser getTemplateUser(java.lang.String templateUserName)
                                                          throws java.lang.Exception

  Gets the TemplateUser data store object for the specified template user name.

  Parameters:
    `templateUserName` - The template user's name
  Returns:
    A TemplateUser object or null if the user doesn't exist.
  Throws:
    `java.lang.Exception`

### userHasSavedLayout

    protected boolean userHasSavedLayout(int userId)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### updateUser

    protected void updateUser(int userId,
                              IPerson person,
                              RDBMUserIdentityStore.TemplateUser templateUser)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addNewUser

    protected int addNewUser(int newUID,
                             IPerson person,
                             RDBMUserIdentityStore.TemplateUser templateUser)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD